(function(){"use strict";/**
 * @license
 * Copyright 2019 Google LLC
 * SPDX-License-Identifier: Apache-2.0
 */const D=Symbol("Comlink.proxy"),G=Symbol("Comlink.endpoint"),B=Symbol("Comlink.releaseProxy"),T=Symbol("Comlink.finalizer"),E=Symbol("Comlink.thrown"),I=e=>typeof e=="object"&&e!==null||typeof e=="function",$={canHandle:e=>I(e)&&e[D],serialize(e){const{port1:n,port2:i}=new MessageChannel;return L(e,n),[i,[i]]},deserialize(e){return e.start(),Z(e)}},J={canHandle:e=>I(e)&&E in e,serialize({value:e}){let n;return e instanceof Error?n={isError:!0,value:{message:e.message,name:e.name,stack:e.stack}}:n={isError:!1,value:e},[n,[]]},deserialize(e){throw e.isError?Object.assign(new Error(e.value.message),e.value):e.value}},j=new Map([["proxy",$],["throw",J]]);function K(e,n){for(const i of e)if(n===i||i==="*"||i instanceof RegExp&&i.test(n))return!0;return!1}function L(e,n=globalThis,i=["*"]){n.addEventListener("message",function c(t){if(!t||!t.data)return;if(!K(i,t.origin)){console.warn(`Invalid origin '${t.origin}' for comlink proxy`);return}const{id:s,type:f,path:o}=Object.assign({path:[]},t.data),a=(t.data.argumentList||[]).map(p);let r;try{const u=o.slice(0,-1).reduce((h,g)=>h[g],e),l=o.reduce((h,g)=>h[g],e);switch(f){case"GET":r=l;break;case"SET":u[o.slice(-1)[0]]=p(t.data.value),r=!0;break;case"APPLY":r=l.apply(u,a);break;case"CONSTRUCT":{const h=new l(...a);r=re(h)}break;case"ENDPOINT":{const{port1:h,port2:g}=new MessageChannel;L(e,g),r=te(h,[h])}break;case"RELEASE":r=void 0;break;default:return}}catch(u){r={value:u,[E]:0}}Promise.resolve(r).catch(u=>({value:u,[E]:0})).then(u=>{const[l,h]=N(u);n.postMessage(Object.assign(Object.assign({},l),{id:s}),h),f==="RELEASE"&&(n.removeEventListener("message",c),W(n),T in e&&typeof e[T]=="function"&&e[T]())}).catch(u=>{const[l,h]=N({value:new TypeError("Unserializable return value"),[E]:0});n.postMessage(Object.assign(Object.assign({},l),{id:s}),h)})}),n.start&&n.start()}function Q(e){return e.constructor.name==="MessagePort"}function W(e){Q(e)&&e.close()}function Z(e,n){return O(e,[],n)}function x(e){if(e)throw new Error("Proxy has been released and is not useable")}function Y(e){return M(e,{type:"RELEASE"}).then(()=>{W(e)})}const A=new WeakMap,v="FinalizationRegistry"in globalThis&&new FinalizationRegistry(e=>{const n=(A.get(e)||0)-1;A.set(e,n),n===0&&Y(e)});function _(e,n){const i=(A.get(n)||0)+1;A.set(n,i),v&&v.register(e,n,e)}function ee(e){v&&v.unregister(e)}function O(e,n=[],i=function(){}){let c=!1;const t=new Proxy(i,{get(s,f){if(x(c),f===B)return()=>{ee(t),Y(e),c=!0};if(f==="then"){if(n.length===0)return{then:()=>t};const o=M(e,{type:"GET",path:n.map(a=>a.toString())}).then(p);return o.then.bind(o)}return O(e,[...n,f])},set(s,f,o){x(c);const[a,r]=N(o);return M(e,{type:"SET",path:[...n,f].map(u=>u.toString()),value:a},r).then(p)},apply(s,f,o){x(c);const a=n[n.length-1];if(a===G)return M(e,{type:"ENDPOINT"}).then(p);if(a==="bind")return O(e,n.slice(0,-1));const[r,u]=q(o);return M(e,{type:"APPLY",path:n.map(l=>l.toString()),argumentList:r},u).then(p)},construct(s,f){x(c);const[o,a]=q(f);return M(e,{type:"CONSTRUCT",path:n.map(r=>r.toString()),argumentList:o},a).then(p)}});return _(t,e),t}function ne(e){return Array.prototype.concat.apply([],e)}function q(e){const n=e.map(N);return[n.map(i=>i[0]),ne(n.map(i=>i[1]))]}const U=new WeakMap;function te(e,n){return U.set(e,n),e}function re(e){return Object.assign(e,{[D]:!0})}function N(e){for(const[n,i]of j)if(i.canHandle(e)){const[c,t]=i.serialize(e);return[{type:"HANDLER",name:n,value:c},t]}return[{type:"RAW",value:e},U.get(e)||[]]}function p(e){switch(e.type){case"HANDLER":return j.get(e.name).deserialize(e.value);case"RAW":return e.value}}function M(e,n,i){return new Promise(c=>{const t=ie();e.addEventListener("message",function s(f){!f.data||!f.data.id||f.data.id!==t||(e.removeEventListener("message",s),c(f.data))}),e.start&&e.start(),e.postMessage(Object.assign({id:t},n),i)})}function ie(){return new Array(4).fill(0).map(()=>Math.floor(Math.random()*Number.MAX_SAFE_INTEGER).toString(16)).join("-")}function S(e,n){return e==null||n==null?NaN:e<n?-1:e>n?1:e>=n?0:NaN}function se(e,n){return e==null||n==null?NaN:n<e?-1:n>e?1:n>=e?0:NaN}function X(e){let n,i,c;e.length!==2?(n=S,i=(o,a)=>S(e(o),a),c=(o,a)=>e(o)-a):(n=e===S||e===se?e:oe,i=e,c=e);function t(o,a,r=0,u=o.length){if(r<u){if(n(a,a)!==0)return u;do{const l=r+u>>>1;i(o[l],a)<0?r=l+1:u=l}while(r<u)}return r}function s(o,a,r=0,u=o.length){if(r<u){if(n(a,a)!==0)return u;do{const l=r+u>>>1;i(o[l],a)<=0?r=l+1:u=l}while(r<u)}return r}function f(o,a,r=0,u=o.length){const l=t(o,a,r,u-1);return l>r&&c(o[l-1],a)>-c(o[l],a)?l-1:l}return{left:t,center:f,right:s}}function oe(){return 0}function ae(e){return e===null?NaN:+e}const ce=X(S).right;X(ae).center;var le=ce;function fe(e,n){let i=0;if(n===void 0)for(let c of e)c!=null&&(c=+c)>=c&&++i;else{let c=-1;for(let t of e)(t=n(t,++c,e))!=null&&(t=+t)>=t&&++i}return i}function z(e,n){let i,c;if(n===void 0)for(const t of e)t!=null&&(i===void 0?t>=t&&(i=c=t):(i>t&&(i=t),c<t&&(c=t)));else{let t=-1;for(let s of e)(s=n(s,++t,e))!=null&&(i===void 0?s>=s&&(i=c=s):(i>s&&(i=s),c<s&&(c=s)))}return[i,c]}function ue(e){return e}var he=Array.prototype,ge=he.slice;function H(e){return()=>e}const ye=Math.sqrt(50),me=Math.sqrt(10),de=Math.sqrt(2);function C(e,n,i){const c=(n-e)/Math.max(0,i),t=Math.floor(Math.log10(c)),s=c/Math.pow(10,t),f=s>=ye?10:s>=me?5:s>=de?2:1;let o,a,r;return t<0?(r=Math.pow(10,-t)/f,o=Math.round(e*r),a=Math.round(n*r),o/r<e&&++o,a/r>n&&--a,r=-r):(r=Math.pow(10,t)*f,o=Math.round(e/r),a=Math.round(n/r),o*r<e&&++o,a*r>n&&--a),a<o&&.5<=i&&i<2?C(e,n,i*2):[o,a,r]}function pe(e,n,i){if(n=+n,e=+e,i=+i,!(i>0))return[];if(e===n)return[e];const c=n<e,[t,s,f]=c?C(n,e,i):C(e,n,i);if(!(s>=t))return[];const o=s-t+1,a=new Array(o);if(c)if(f<0)for(let r=0;r<o;++r)a[r]=(s-r)/-f;else for(let r=0;r<o;++r)a[r]=(s-r)*f;else if(f<0)for(let r=0;r<o;++r)a[r]=(t+r)/-f;else for(let r=0;r<o;++r)a[r]=(t+r)*f;return a}function V(e,n,i){return n=+n,e=+e,i=+i,C(e,n,i)[2]}function we(e,n,i){let c;for(;;){const t=V(e,n,i);if(t===c||t===0||!isFinite(t))return[e,n];t>0?(e=Math.floor(e/t)*t,n=Math.ceil(n/t)*t):t<0&&(e=Math.ceil(e*t)/t,n=Math.floor(n*t)/t),c=t}}function Me(e){return Math.ceil(Math.log(fe(e))/Math.LN2)+1}function ke(){var e=ue,n=z,i=Me;function c(t){Array.isArray(t)||(t=Array.from(t));var s,f=t.length,o,a,r=new Array(f);for(s=0;s<f;++s)r[s]=e(t[s],s,t);var u=n(r),l=u[0],h=u[1],g=i(r,l,h);if(!Array.isArray(g)){const P=h,R=+g;if(n===z&&([l,h]=we(l,h,R)),g=pe(l,h,R),g[0]<=l&&(a=V(l,h,R)),g[g.length-1]>=h)if(P>=h&&n===z){const w=V(l,h,R);isFinite(w)&&(w>0?h=(Math.floor(h/w)+1)*w:w<0&&(h=(Math.ceil(h*-w)+1)/-w))}else g.pop()}for(var d=g.length,y=0,m=d;g[y]<=l;)++y;for(;g[m-1]>h;)--m;(y||m<d)&&(g=g.slice(y,m),d=m-y);var b=new Array(d+1),F;for(s=0;s<=d;++s)F=b[s]=[],F.x0=s>0?g[s-1]:l,F.x1=s<d?g[s]:h;if(isFinite(a)){if(a>0)for(s=0;s<f;++s)(o=r[s])!=null&&l<=o&&o<=h&&b[Math.min(d,Math.floor((o-l)/a))].push(t[s]);else if(a<0){for(s=0;s<f;++s)if((o=r[s])!=null&&l<=o&&o<=h){const P=Math.floor((l-o)*a);b[Math.min(d,P+(g[P]<=o))].push(t[s])}}}else for(s=0;s<f;++s)(o=r[s])!=null&&l<=o&&o<=h&&b[le(g,o,0,d)].push(t[s]);return b}return c.value=function(t){return arguments.length?(e=typeof t=="function"?t:H(t),c):e},c.domain=function(t){return arguments.length?(n=typeof t=="function"?t:H([t[0],t[1]]),c):n},c.thresholds=function(t){return arguments.length?(i=typeof t=="function"?t:H(Array.isArray(t)?ge.call(t):t),c):i},c}function k(e,n,i){this.k=e,this.x=n,this.y=i}k.prototype={constructor:k,scale:function(e){return e===1?this:new k(this.k*e,this.x,this.y)},translate:function(e,n){return e===0&n===0?this:new k(this.k,this.x+this.k*e,this.y+this.k*n)},apply:function(e){return[e[0]*this.k+this.x,e[1]*this.k+this.y]},applyX:function(e){return e*this.k+this.x},applyY:function(e){return e*this.k+this.y},invert:function(e){return[(e[0]-this.x)/this.k,(e[1]-this.y)/this.k]},invertX:function(e){return(e-this.x)/this.k},invertY:function(e){return(e-this.y)/this.k},rescaleX:function(e){return e.copy().domain(e.range().map(this.invertX,this).map(e.invert,e))},rescaleY:function(e){return e.copy().domain(e.range().map(this.invertY,this).map(e.invert,e))},toString:function(){return"translate("+this.x+","+this.y+") scale("+this.k+")"}},k.prototype;const be=e=>e.kind==="Category",Ee=e=>["int","float"].includes(e.kind),xe=e=>Ee(e.type),Ae=e=>be(e.type);function ve(e,n){const i=e.length;let c=0;for(let t=0;t<i;t++)c+=Math.sqrt(e[t]*n[t]);return-Math.log(c)}const Ne={bhattacharyya:ve};L({computeRelevances(e,n,i,c){let t=0;const s=new Map,f=new Array(c.length),o=new Array(i.length);return e.forEach(a=>{if(!(xe(a)||Ae(a)))return;let r=1/0,u=-1/0;for(let y=0;y<f.length;y++){const m=n[a.key][c[y]];f[y]=m,m<r&&(r=m),m>u&&(u=m)}for(let y=0;y<o.length;y++){const m=n[a.key][i[y]];o[y]=m,m<r&&(r=m),m>u&&(u=m)}if(f.length===0||o.length===0||r===void 0||u===void 0)return;const l=ke().domain([r,u]).thresholds(5),h=l(f).map(y=>y.length/f.length),g=l(o).map(y=>y.length/o.length),d=Ne.bhattacharyya(g,h);d>t&&(t=d),s.set(a.key,d)}),t===0||s.forEach((a,r,u)=>{u.set(r,a/t)}),s}})})();
